0

Log:

Unable to complete install: 'unsupported configuration: emulator '/usr/lib/xen-4.11/bin/qemu-system-i386' not found'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 75, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/create.py", line 2119, in _do_async_install
    guest.installer_instance.start_install(guest, meter=meter)
  File "/usr/share/virt-manager/virtinst/installer.py", line 419, in start_install
    doboot, transient)
  File "/usr/share/virt-manager/virtinst/installer.py", line 362, in _create_guest
    domain = self.conn.createXML(install_xml or final_xml, 0)
  File "/usr/lib/python3/dist-packages/libvirt.py", line 3732, in createXML
    if ret is None:raise libvirtError('virDomainCreateXML() failed', conn=self)
libvirt.libvirtError: unsupported configuration: emulator '/usr/lib/xen-4.11/bin/qemu-system-i386' not found

Details

Hypervisor: Xen
Virtualized OS: Windows (developer HyperV Image on external drive)
Host OS: Debian
Manager: virt-manager
Installed Package: apt-get install xen-system (have since rebooted)
Host Hardware: x230 ThinkPad with BIOS virtualization settings turned to enabled.

1

This is a bug in debian libvirt. The workaround is as follows:

cd /usr/lib/xen-4.11/bin/
sudo ln -s /usr/bin/qemu-system-i386 qemu-system-i386

(You must have package qemu installed)

Taken from a similar bug report in Red Hat that has since been fixed.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.